import request from '@/utils/request'

/**
 * 配送明细查询
 * @param {*} data
 * @returns
 */
export function getPsmxList(data){
  return request({
    url: '/api/txzz/imPmlPlan/getList',
    method: 'post',
    data
  })
}

/**
 * excel导入api
 */
export function upload(url,data){
  return request({
    url: url,
    method: 'post',
    data
  })
}


/**
 * 镀锌单位
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
export function mpPlanDX(data) {
  return request({
    url: '/api/txzz/mpWorkPlan/selectForDxdept',
    method: 'post',
    data
  })
}

/**
 * 配送计划明细提交
 */
export function submit(data){
  return request({
    url: '/api/gxzz/psmx/submit',
    method: 'post',
    data
  })
}

/**
 * 配送计划明细保存
 */
export function save(data){
  return request({
    url: '/api/txzz/imPmlPlan/save',
    method: 'post',
    data
  })
}

/**
 * 配送计划明细执行
 */
export function execute(data){
  return request({
    url: '/api/txzz/imPmlPlan/implement',
    method: 'post',
    data
  })
}

/**
 * 配送计划明细确认
 */
export function confirm(data){
  return request({
    url: '/api/txzz/imPmlPlan/confirm',
    method: 'post',
    data
  })
}
// 单位转码
export function wgzyBase(data) { return request({ url: '/api/txzz/mpWorkPlan/getDept ', method: 'post', data }) }

export  function getBMBM(bm,dict) {
  for (const b in dict) {
    if (dict[b].departCode === bm) {
      return dict[b].departName;
    }
  }
  return ''
}
